Index: doc/ChangeLog
===================================================================
--- doc/ChangeLog	(revision 641c3bd3bce5ba5661b7c6f6f624231e523b9c63)
+++ doc/ChangeLog	(revision f09b997d4d4d07476d5d098b4ece63b54f4004d5)
@@ -1,2 +1,8 @@
+2007-11-28	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* cpu_supplement/powerpc.t: Eliminate PowerPC specific elements from
+	the CPU Table. They have been replaced with variables named bsp_XXX
+	as needed.
+
 2007-11-28	Glenn Humphrey <glenn.humphrey@OARcorp.com>
 
Index: doc/cpu_supplement/powerpc.t
===================================================================
--- doc/cpu_supplement/powerpc.t	(revision 641c3bd3bce5ba5661b7c6f6f624231e523b9c63)
+++ doc/cpu_supplement/powerpc.t	(revision f09b997d4d4d07476d5d098b4ece63b54f4004d5)
@@ -1,4 +1,4 @@
 @c
-@c  COPYRIGHT (c) 1988-2002.
+@c  COPYRIGHT (c) 1989-2007.
 @c  On-Line Applications Research Corporation (OAR).
 @c  All rights reserved.
@@ -93,5 +93,5 @@
 
 @c
-@c  COPYRIGHT (c) 1988-2002.
+@c  COPYRIGHT (c) 1989-2007.
 @c  On-Line Applications Research Corporation (OAR).
 @c  All rights reserved.
@@ -248,5 +248,5 @@
 @end table
 @c
-@c  COPYRIGHT (c) 1988-2002.
+@c  COPYRIGHT (c) 1989-2007.
 @c  On-Line Applications Research Corporation (OAR).
 @c  All rights reserved.
@@ -476,5 +476,5 @@
 
 @c
-@c  COPYRIGHT (c) 1988-2002.
+@c  COPYRIGHT (c) 1989-2007.
 @c  On-Line Applications Research Corporation (OAR).
 @c  All rights reserved.
@@ -585,5 +585,5 @@
 
 @c
-@c  COPYRIGHT (c) 1988-2002.
+@c  COPYRIGHT (c) 1989-2007.
 @c  On-Line Applications Research Corporation (OAR).
 @c  All rights reserved.
@@ -768,5 +768,5 @@
 
 @c
-@c  COPYRIGHT (c) 1988-2002.
+@c  COPYRIGHT (c) 1989-2007.
 @c  On-Line Applications Research Corporation (OAR).
 @c  All rights reserved.
@@ -814,5 +814,5 @@
 
 @c
-@c  COPYRIGHT (c) 1988-2002.
+@c  COPYRIGHT (c) 1989-2007.
 @c  On-Line Applications Research Corporation (OAR).
 @c  All rights reserved.
@@ -889,5 +889,5 @@
 
 @c
-@c  COPYRIGHT (c) 1988-2002.
+@c  COPYRIGHT (c) 1989-2007.
 @c  On-Line Applications Research Corporation (OAR).
 @c  All rights reserved.
@@ -924,19 +924,4 @@
   void       (*stack_free_hook)( void* );
   /* end of fields required on all CPUs */
-
-  unsigned32   clicks_per_usec;       /* Timer clicks per microsecond */
-  void       (*spurious_handler)(
-                unsigned32 vector, CPU_Interrupt_frame *);
-  boolean      exceptions_in_RAM;     /* TRUE if in RAM */
-
-#if defined(ppc403)
-  unsigned32   serial_per_sec;        /* Serial clocks per second */
-  boolean      serial_external_clock;
-  boolean      serial_xon_xoff;
-  boolean      serial_cts_rts;
-  unsigned32   serial_rate;
-  unsigned32   timer_average_overhead; /* in ticks */
-  unsigned32   timer_least_valid;   /* Least valid number from timer */
-#endif
 @};
 @end example
@@ -999,45 +984,4 @@
 must be provided as well.
 
-@item clicks_per_usec
-is the number of decrementer interupts that occur each microsecond.
-
-@item spurious_handler
-is the address of the
-routine which is invoked when a spurious interrupt occurs.
-
-@item exceptions_in_RAM
-indicates whether the exception vectors are located in RAM or ROM.  If 
-they are located in RAM dynamic vector installation occurs, otherwise
-it does not.
-
-@item serial_per_sec
-is a PPC403 specific field which specifies the number of clock
-ticks per second for the PPC403 serial timer.
-
-@item serial_rate
-is a PPC403 specific field which specifies the baud rate for the
-PPC403 serial port.
-
-@item serial_external_clock
-is a PPC403 specific field which indicates whether or not to mask in a 0x2 into
-the Input/Output Configuration Register (IOCR) during initialization of the
-PPC403 console.  (NOTE: This bit is defined as "reserved" 6-12?)
-
-@item serial_xon_xoff
-is a PPC403 specific field which indicates whether or not
-XON/XOFF flow control is supported for the PPC403 serial port.
-
-@item serial_cts_rts
-is a PPC403 specific field which indicates whether or not to set the 
-least significant bit of the Input/Output Configuration Register
-(IOCR) during initialization of the PPC403 console.  (NOTE: This
-bit is defined as "reserved" 6-12?)
-
-@item timer_average_overhead
-is a PPC403 specific field which specifies the average number of overhead ticks that occur on the PPC403 timer.
-
-@item timer_least_valid
-is a PPC403 specific field which specifies the maximum valid PPC403 timer value.
-
 @end table
 
